/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

/*****************************************************************************/
/* This is an automatically generated file. If you're not                    */
/* nsStrictTransportSecurityService.cpp, you shouldn't be #including it.     */
/*****************************************************************************/

#include "mozilla/StandardInteger.h"
const PRTime gPreloadListExpirationTime = INT64_C(1416045947439000);

class nsSTSPreload
{
  public:
    const char *mHost;
    const bool mIncludeSubdomains;
};

static const nsSTSPreload kSTSPreloadList[] = {
  { "accounts.firefox.com", true },
  { "accounts.google.com", true },
  { "aclu.org", false },
  { "activiti.alfresco.com", false },
  { "adsfund.org", true },
  { "aladdinschools.appspot.com", false },
  { "alpha.irccloud.com", false },
  { "anycoin.me", true },
  { "api.intercom.io", false },
  { "api.simple.com", false },
  { "api.xero.com", false },
  { "app.manilla.com", true },
  { "app.recurly.com", false },
  { "app.yinxiang.com", false },
  { "arivo.com.br", true },
  { "bank.simple.com", false },
  { "bccx.com", true },
  { "bcrook.com", false },
  { "bitbucket.org", false },
  { "blog.cyveillance.com", true },
  { "blog.linode.com", false },
  { "blog.lookout.com", false },
  { "blog.torproject.org", false },
  { "boxcryptor.com", true },
  { "bugzilla.mozilla.org", true },
  { "business.lookout.com", false },
  { "calyxinstitute.org", false },
  { "carezone.com", false },
  { "check.torproject.org", false },
  { "chromiumcodereview.appspot.com", false },
  { "cloudcert.org", true },
  { "cloudns.com.au", true },
  { "cloudsecurityalliance.org", true },
  { "codereview.appspot.com", false },
  { "conformal.com", true },
  { "controlcenter.gigahost.dk", true },
  { "crm.onlime.ch", false },
  { "crypto.cat", false },
  { "cupcake.io", true },
  { "cupcake.is", true },
  { "cybozu.com", true },
  { "cyphertite.com", true },
  { "data.qld.gov.au", false },
  { "davidlyness.com", true },
  { "detectify.com", false },
  { "developer.mydigipass.com", false },
  { "dillonkorman.com", true },
  { "dist.torproject.org", false },
  { "dm.lookout.com", false },
  { "dm.mylookout.com", false },
  { "docs.python.org", true },
  { "download.jitsi.org", false },
  { "ebanking.indovinabank.com.vn", false },
  { "ecosystem.atlassian.net", true },
  { "eff.org", true },
  { "encircleapp.com", true },
  { "entropia.de", false },
  { "errors.zenpayroll.com", false },
  { "espra.com", true },
  { "f-droid.org", true },
  { "factor.cc", false },
  { "fairbill.com", true },
  { "faq.lookout.com", false },
  { "feedbin.com", false },
  { "fiken.no", true },
  { "fj.simple.com", false },
  { "forum.linode.com", false },
  { "forum.quantifiedself.com", true },
  { "gernert-server.de", true },
  { "getcloak.com", false },
  { "go.xero.com", false },
  { "gocardless.com", true },
  { "grc.com", false },
  { "grepular.com", true },
  { "harvestapp.com", true },
  { "haste.ch", true },
  { "heha.co", true },
  { "howrandom.org", true },
  { "id.atlassian.com", true },
  { "id.mayfirst.org", false },
  { "imouto.my", false },
  { "inertianetworks.com", true },
  { "itriskltd.com", true },
  { "keeperapp.com", true },
  { "keepersecurity.com", true },
  { "keyerror.com", true },
  { "kinsights.com", false },
  { "lastpass.com", false },
  { "launchkey.com", true },
  { "library.linode.com", false },
  { "linode.com", false },
  { "linx.net", false },
  { "lockify.com", true },
  { "logentries.com", false },
  { "login.persona.org", true },
  { "login.sapo.pt", true },
  { "login.xero.com", false },
  { "logotype.se", true },
  { "lolicore.ch", true },
  { "lookout.com", false },
  { "lumi.do", false },
  { "luneta.nearbuysystems.com", false },
  { "mail.de", true },
  { "mailbox.org", false },
  { "makeyourlaws.org", true },
  { "manage.zenpayroll.com", false },
  { "manageprojects.com", true },
  { "manager.linode.com", false },
  { "matteomarescotti.name", true },
  { "mattmccutchen.net", true },
  { "mbp.banking.co.at", false },
  { "mediacru.sh", true },
  { "medium.com", true },
  { "mega.co.nz", false },
  { "members.mayfirst.org", false },
  { "members.nearlyfreespeech.net", false },
  { "miku.hatsune.my", true },
  { "mnsure.org", true },
  { "mobile.usaa.com", false },
  { "mudcrab.us", true },
  { "my.onlime.ch", false },
  { "my.xero.com", false },
  { "mylookout.com", false },
  { "neg9.org", false },
  { "neilwynne.com", false },
  { "onedrive.com", true },
  { "onedrive.live.com", false },
  { "oplop.appspot.com", true },
  { "opsmate.com", false },
  { "p.linode.com", false },
  { "packagist.org", false },
  { "passport.yandex.by", false },
  { "passport.yandex.com", false },
  { "passport.yandex.com.tr", false },
  { "passport.yandex.kz", false },
  { "passport.yandex.ru", false },
  { "passport.yandex.ua", false },
  { "passwd.io", true },
  { "paste.linode.com", false },
  { "pastebin.linode.com", false },
  { "pay.gigahost.dk", true },
  { "paymill.com", true },
  { "paymill.de", false },
  { "pixi.me", true },
  { "plus.google.com", false },
  { "plus.sandbox.google.com", false },
  { "portal.tirol.gv.at", true },
  { "publications.qld.gov.au", false },
  { "pult.co", true },
  { "pypi.python.org", true },
  { "python.org", false },
  { "reviews.anime.my", true },
  { "roddis.net", false },
  { "romab.com", true },
  { "roundcube.mayfirst.org", false },
  { "sakaki.anime.my", true },
  { "sandbox.mydigipass.com", false },
  { "securityheaders.com", true },
  { "seifried.org", true },
  { "shodan.io", true },
  { "simbolo.co.uk", false },
  { "skydrive.live.com", false },
  { "squareup.com", false },
  { "stage.wepay.com", false },
  { "static.wepay.com", false },
  { "stripe.com", true },
  { "strongest-privacy.com", true },
  { "subrosa.io", true },
  { "support.mayfirst.org", false },
  { "surkatty.org", true },
  { "tent.io", true },
  { "therapynotes.com", false },
  { "tinfoilsecurity.com", false },
  { "torproject.org", false },
  { "twitter.com", false },
  { "ubertt.org", true },
  { "usaa.com", false },
  { "vmoagents.com", false },
  { "vocaloid.my", true },
  { "w-spotlight.appspot.com", true },
  { "webcollect.org.uk", true },
  { "webfilings-eu-mirror.appspot.com", true },
  { "webfilings-eu.appspot.com", true },
  { "webfilings-mirror-hrd.appspot.com", true },
  { "webfilings.appspot.com", true },
  { "webmail.gigahost.dk", false },
  { "webmail.onlime.ch", false },
  { "wepay.com", false },
  { "wf-bigsky-master.appspot.com", true },
  { "wf-demo-eu.appspot.com", true },
  { "wf-demo-hrd.appspot.com", true },
  { "wf-dogfood-hrd.appspot.com", true },
  { "wf-pentest.appspot.com", true },
  { "wf-staging-hr.appspot.com", true },
  { "wf-training-hrd.appspot.com", true },
  { "wf-training-master.appspot.com", true },
  { "wf-trial-hrd.appspot.com", true },
  { "wiki.python.org", true },
  { "wildbee.org", true },
  { "wiz.biz", true },
  { "writeapp.me", false },
  { "www.aclu.org", false },
  { "www.airbnb.com", true },
  { "www.apollo-auto.com", true },
  { "www.banking.co.at", false },
  { "www.braintreepayments.com", false },
  { "www.calyxinstitute.org", false },
  { "www.capitainetrain.com", false },
  { "www.cyveillance.com", true },
  { "www.dropcam.com", false },
  { "www.entropia.de", false },
  { "www.eternalgoth.co.uk", true },
  { "www.evernote.com", false },
  { "www.getcloak.com", false },
  { "www.gov.uk", false },
  { "www.grc.com", false },
  { "www.heliosnet.com", true },
  { "www.irccloud.com", false },
  { "www.linode.com", false },
  { "www.lookout.com", false },
  { "www.makeyourlaws.org", true },
  { "www.mydigipass.com", false },
  { "www.mylookout.com", false },
  { "www.noisebridge.net", false },
  { "www.opsmate.com", true },
  { "www.python.org", true },
  { "www.simbolo.co.uk", false },
  { "www.simple.com", false },
  { "www.therapynotes.com", false },
  { "www.tinfoilsecurity.com", false },
  { "www.torproject.org", false },
  { "www.twitter.com", false },
  { "www.usaa.com", false },
  { "www.wepay.com", false },
  { "www.zenpayroll.com", false },
  { "xbrlsuccess.appspot.com", true },
  { "z.ai", true },
  { "zenpayroll.com", false },
};
